javax.swing.plaf.basic

## Class BasicTableUI.KeyHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTableUI.KeyHandler

All Implemented Interfaces:
  KeyListener, EventListener

Enclosing class:
  BasicTableUI

    public class BasicTableUI.KeyHandler
    extends Object
    implements KeyListener

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTableUI.

As of Java 2 platform v1.3 this class is no longer used. Instead `JTable` overrides `processKeyBinding` to dispatch the event to the current `TableCellEditor`.

### Constructor Summary

Constructors
Constructor and Description
`BasicTableUI.KeyHandler()`

### Method Summary

Methods
`void` `keyPressed(KeyEvent e)` Invoked when a key has been pressed.
`void` `keyReleased(KeyEvent e)` Invoked when a key has been released.
`void` `keyTyped(KeyEvent e)` Invoked when a key has been typed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicTableUI.KeyHandler

    public BasicTableUI.KeyHandler()

### Method Detail

#### keyPressed

    public void keyPressed(KeyEvent e)

Description copied from interface: `KeyListener`
Invoked when a key has been pressed. See the class description for `KeyEvent` for a definition of a key pressed event.

Specified by:
  `keyPressed` in interface `KeyListener`

#### keyReleased

    public void keyReleased(KeyEvent e)

Description copied from interface: `KeyListener`
Invoked when a key has been released. See the class description for `KeyEvent` for a definition of a key released event.

Specified by:
  `keyReleased` in interface `KeyListener`

#### keyTyped

    public void keyTyped(KeyEvent e)

Description copied from interface: `KeyListener`
Invoked when a key has been typed. See the class description for `KeyEvent` for a definition of a key typed event.

Specified by:
  `keyTyped` in interface `KeyListener`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.